Bug 62654 - ^T returns to beginning of tag stack, should return to previous location in tag stack
^T returns to beginning of tag stack, should return to previous location in t...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-03 15:22 EST by John Kacur
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 15:22:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kacur 2002-04-03 15:22:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
When using ctags with vim, ^T should cause you to jump to the previous location
in the tag stack, and this worked correctly with earlier versions of vim.
However, with vim-6.0-7.13, it cause you to jump to the beginning of the tag
stack and skip everything in between. I have tested this on ia64, it is
potentially a problem on other platforms such as ia32 but I haven't tested the
newer vim there.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Generate a tags file for c source code, ie "ctags -R *"
2.Start vim or gvim and do :set tags
3. Pick a symbol, eg. tag my_funcName (choose one that is declared in more than
one place, say with a function prototype and in the actual location for example)
4. Do ":tn" to go to the next location of the tag name and thus generate at
least two slots in your tag stack
5. Do " ^T". You should jump to the previous location in the tag stack, but will
instead jump to the beginning of the tag stack.
	

Actual Results:  You will jump to the start of the tag stack.

Expected Results:  You should jump to the previous location in the tag stack.

Additional info:
Comment 1 Karsten Hopp 2002-07-09 06:16:29 EDT
fixed in the latest rawhide version

Note You need to log in before you can comment on or make changes to this bug.